Loading...
Searching...
No Matches
osmium::handler::ChainHandler< THandler > Class Template Reference

`#include <chain.hpp>`

Inheritance diagram for osmium::handler::ChainHandler< THandler >:
[legend]
Collaboration diagram for osmium::handler::ChainHandler< THandler >:
[legend]

## Classes

struct | call_flush
struct | call_flush< SIZE, SIZE, THandlers >

## Public Member Functions

| ChainHandler (THandler &... handlers)
void | node (osmium::Node &node)
void | way (osmium::Way &way)
void | relation (osmium::Relation &relation)
void | changeset (osmium::Changeset &changeset)
void | area (osmium::Area &area)
void | flush ()
Public Member Functions inherited from osmium::handler::Handler
void | osm_object (const osmium::OSMObject &) const noexcept
void | node (const osmium::Node &) const noexcept
void | way (const osmium::Way &) const noexcept
void | relation (const osmium::Relation &) const noexcept
void | area (const osmium::Area &) const noexcept
void | changeset (const osmium::Changeset &) const noexcept
void | tag_list (const osmium::TagList &) const noexcept
void | way_node_list (const osmium::WayNodeList &) const noexcept
void | relation_member_list (const osmium::RelationMemberList &) const noexcept
void | outer_ring (const osmium::OuterRing &) const noexcept
void | inner_ring (const osmium::InnerRing &) const noexcept
void | changeset_discussion (const osmium::ChangesetDiscussion &) const noexcept
void | flush () const noexcept

## Private Types

using | handlers_type = std::tuple<THandler&...>

## Private Attributes

handlers_type | m_handlers

## Detailed Description

template<typename... THandler>
class osmium::handler::ChainHandler< THandler >

This handler allows chaining of any number of handlers into a single handler.

## Member Typedef Documentation

## handlers_type

template<typename... THandler>

using osmium::handler::ChainHandler< THandler >::handlers_type = std::tuple<THandler&...>

private

## Constructor & Destructor Documentation

## ChainHandler()

template<typename... THandler>

osmium::handler::ChainHandler< THandler >::ChainHandler | ( | THandler &... | handlers | ) |

inlineexplicit

## Member Function Documentation

## area()

template<typename... THandler>

void osmium::handler::ChainHandler< THandler >::area | ( | osmium::Area & | area | ) |

inline

## changeset()

template<typename... THandler>

void osmium::handler::ChainHandler< THandler >::changeset | ( | osmium::Changeset & | changeset | ) |

inline

## flush()

template<typename... THandler>

void osmium::handler::ChainHandler< THandler >::flush | ( |  | ) |

inline

## node()

template<typename... THandler>

void osmium::handler::ChainHandler< THandler >::node | ( | osmium::Node & | node | ) |

inline

## relation()

template<typename... THandler>

void osmium::handler::ChainHandler< THandler >::relation | ( | osmium::Relation & | relation | ) |

inline

## way()

template<typename... THandler>

void osmium::handler::ChainHandler< THandler >::way | ( | osmium::Way & | way | ) |

inline

## Member Data Documentation

## m_handlers

template<typename... THandler>

handlers_type osmium::handler::ChainHandler< THandler >::m_handlers

private

The documentation for this class was generated from the following file:

- include/osmium/handler/chain.hpp